Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libnih
#Epoch:		0
Version:	1.0.2
Release:	1
License:	GNU/GPLv2
URL:		https://launchpad.net/libnih
Group:		System/Libraries
Summary:	NIH Utility Library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libnih is a small library for C application development containing functions that, 
despite its name, are not implemented elsewhere in the standard library set.libnih 
is roughly equivalent to other C libraries such as glib, except that its focus is 
on a small size and intended for applications that sit very low in the software 
stack, especially outside of /usr. It expressly does not reimplement functions 
that already exist in libraries ordinarily shipped in /lib such libc6, and does 
not do foolish things like invent arbitrary typedefs for perfectly good C types.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/nih-dbus-tool
%{_libdir}/libnih-dbus.so.*
%{_libdir}/libnih.so.*
%{_mandir}/man1/nih-dbus-tool.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libnih-dbus.h
%{_includedir}/nih-dbus
%{_includedir}/libnih.h
%{_includedir}/nih
%{_libdir}/libnih.a
%{_libdir}/libnih-dbus.a
%{_libdir}/libnih-dbus.la
%{_libdir}/libnih-dbus.so
%{_libdir}/libnih.la
%{_libdir}/libnih.so
%{_pkgconfig}/libnih-dbus.pc
%{_pkgconfig}/libnih.pc
%{_aclocal}/libnih.m4

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue May 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- initial CCux package release
